Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153124 - using the same csv file twice should not require the --force option
Summary: using the same csv file twice should not require the --force option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn400
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Wregglesworth
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 18:55 UTC by John Wregglesworth
Modified: 2007-04-18 17:22 UTC (History)
2 users (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:44:45 UTC


Attachments (Terms of Use)

Description John Wregglesworth 2005-04-01 18:55:43 UTC
Description of problem: Using the same csv file twice, even after deleting the
downloads first, you must use the --force option. As pointed out by cmacleod,
this doesn't make much sense, so I'm going to remove the --force option and
change the download-manager to be able to use the same csv file multiple times
without requiring a separate option.

Comment 1 John Wregglesworth 2005-04-01 19:03:05 UTC
Removed the --force option and added the ability for rhn-download-manager to use
the same csv file twice.

Comment 2 Chris MacLeod 2005-04-01 19:39:36 UTC
this isn't entirly true.

If you attempt to use the same csv file twice without deleteing anything that
should require a force option (or be disallowed completely).  doing 2 straight
uploads would result in duplicate isos on the website.

The problem I described was when isos were uploaded, then delete and then
attempted to reupload again.  Basically what happens is that they produce isos,
then they get uploaded then they respinand we have to resync the isos and
reupload them again after deleting them.

Comment 3 John Wregglesworth 2005-04-04 17:35:57 UTC
rhn-download-manager shouldn't throw a FileModified error when doing a
delete-upload cycle using the same csv file. It will throw a
DuplicateFileError if the user attempts to upload a file that already
exists in the db.

Comment 4 Mihai Ibanescu 2005-06-13 18:06:45 UTC
Mass move to ON_QA

Comment 5 Max Spevack 2005-08-03 21:03:19 UTC
<wregglej> mspevack_hm: chris has been using the changes I made to
download-manager for a while now, you probably don't need to test that. There's
not an easy test plan for that.
<mspevack_hm> ok, PROD_READY it is :-)


Note You need to log in before you can comment on or make changes to this bug.